Odd upgrade behavior?



  • I have two systems of what's supposed to be identical hardware with identical packages installed (the actual configuration of the packages, of course, differs, but for upgrading a system that should not make a difference).

    So system 1 upgraded with the following log, rebooted, and after the upgrade, the Cron and LightSquid packages still required an update, even though they were listed as packages that the autoupdate would process. Other than that, the process went as expected.

    >>> Updating repositories metadata... 
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up to date.
    Updating pfSense repository catalogue...
    pfSense repository is up to date.
    All repositories are up to date.
    >>> Unlocking package pfSense-kernel-pfSense... done.
    >>> Downloading upgrade packages... 
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up to date.
    Updating pfSense repository catalogue...
    pfSense repository is up to date.
    All repositories are up to date.
    Checking for upgrades (233 candidates): .......... done
    Processing candidates (233 candidates): ... done
    The following 95 package(s) will be affected (of 0 checked):
    
    New packages to be INSTALLED:
    	libevent: 2.1.8 [pfSense]
    	pecl-intl: 3.0.0_7 [pfSense]
    	icu: 58.2,1 [pfSense]
    	lua52: 5.2.4 [pfSense]
    
    Installed packages to be UPGRADED:
    	webp: 0.5.2 -> 0.5.2_1 [pfSense]
    	unbound: 1.6.0 -> 1.6.1 [pfSense]
    	strongswan: 5.5.1 -> 5.5.1_1 [pfSense]
    	squidclamav: 6.14 -> 6.16 [pfSense]
    	squid: 3.5.23 -> 3.5.24_2 [pfSense]
    	sqlite3: 3.15.1_1 -> 3.17.0 [pfSense]
    	softflowd: 0.9.8_2 -> 0.9.9 [pfSense]
    	smartmontools: 6.5_1 -> 6.5_2 [pfSense]
    	redis: 3.2.6 -> 3.2.8 [pfSense]
    	python27: 2.7.13_1 -> 2.7.13_3 [pfSense]
    	postgresql93-client: 9.3.15_1 -> 9.3.16 [pfSense]
    	png: 1.6.27 -> 1.6.29 [pfSense]
    	pkgconf: 1.1.0 -> 1.3.0,1 [pfSense]
    	php-xdebug: 2.4.1_1 -> 2.5.0 [pfSense]
    	pftop: 0.7_7 -> 0.7_8 [pfSense]
    	pfSense-rc: 2.3.3_1 -> 2.3.4 [pfSense-core]
    	pfSense-pkg-squidGuard: 1.16.1 -> 1.16.2 [pfSense]
    	pfSense-pkg-squid: 0.4.36_2 -> 0.4.36_3 [pfSense]
    	pfSense-pkg-siproxd: 1.1.3_2 -> 1.1.3_3 [pfSense]
    	pfSense-pkg-pfBlockerNG: 2.1.1_7 -> 2.1.1_8 [pfSense]
    	pfSense-pkg-openvpn-client-export: 1.4.2_1 -> 1.4.3 [pfSense]
    	pfSense-pkg-freeradius2: 1.7.7 -> 1.7.8 [pfSense]
    	pfSense-pkg-Lightsquid: 3.0.6_2 -> 3.0.6_4 [pfSense]
    	pfSense-pkg-Cron: 0.3.7_1 -> 0.3.7_2 [pfSense]
    	pfSense-kernel-pfSense: 2.3.3_1 -> 2.3.4 [pfSense-core]
    	pfSense-default-config: 2.3.3_1 -> 2.3.4 [pfSense-core]
    	pfSense-base: 2.3.3_1 -> 2.3.4 [pfSense-core]
    	pfSense: 2.3.3_1 -> 2.3.4 [pfSense]
    	perl5: 5.24.1.r4_1 -> 5.24.1 [pfSense]
    	pcre: 8.39_1 -> 8.40 [pfSense]
    	p5-GD: 2.56_3 -> 2.56_4 [pfSense]
    	openvpn-client-export: 2.4.1 -> 2.4.1_1 [pfSense]
    	ntp: 4.2.8p9_1 -> 4.2.8p10_2 [pfSense]
    	ntopng: 2.4.2016.10.14 -> 2.4.2017.01.20_1 [pfSense]
    	nginx: 1.10.2_3,2 -> 1.10.3_1,2 [pfSense]
    	ndpi: 1.8.2016.07.13 -> 1.8.2016.07.13_1 [pfSense]
    	mysql56-client: 5.6.35_1 -> 5.6.35_3 [pfSense]
    	lzo2: 2.09 -> 2.10_1 [pfSense]
    	lighttpd: 1.4.44 -> 1.4.45_1 [pfSense]
    	libssh2: 1.8.0,2 -> 1.8.0,3 [pfSense]
    	libsodium: 1.0.11_1 -> 1.0.12 [pfSense]
    	libosip2: 4.1.0_1 -> 5.0.0 [pfSense]
    	libnghttp2: 1.18.0 -> 1.21.0 [pfSense]
    	libnet: 1.1.6_4,1 -> 1.1.6_5,1 [pfSense]
    	liblz4: 131 -> 1.7.5,1 [pfSense]
    	libfontenc: 1.1.3 -> 1.1.3_1 [pfSense]
    	lha: 1.14i_6 -> 1.14i_7 [pfSense]
    	ldns: 1.6.17_5 -> 1.7.0 [pfSense]
    	ladvd: 1.1.0 -> 1.1.0_2 [pfSense]
    	krb5: 1.14.4 -> 1.15.1_4 [pfSense]
    	ipmitool: 1.8.17_1 -> 1.8.18 [pfSense]
    	graphviz: 2.38.0_14 -> 2.40.1 [pfSense]
    	gmp: 5.1.3_3 -> 6.1.2 [pfSense]
    	glib: 2.46.2_4 -> 2.46.2_5 [pfSense]
    	freetype2: 2.6.3 -> 2.7.1 [pfSense]
    	dhcp6: 20080615.1 -> 20080615.2 [pfSense]
    	curl: 7.53.0 -> 7.54.0 [pfSense]
    	clamav: 0.99.2_2 -> 0.99.2_3 [pfSense]
    	ca_root_nss: 3.28.1 -> 3.30.2 [pfSense]
    	c-icap-modules: 0.4.3 -> 0.4.5 [pfSense]
    	c-icap: 0.4.3,2 -> 0.4.4,2 [pfSense]
    	bind-tools: 9.11.0P3 -> 9.11.1 [pfSense]
    	bash: 4.4.12 -> 4.4.12_2 [pfSense]
    	GeoIP: 1.6.9 -> 1.6.10 [pfSense]
    
    Installed packages to be REINSTALLED:
    	vstr-1.0.15_1 [pfSense]
    	tiff-4.0.7_1 [pfSense]
    	siproxd-0.8.2 [pfSense] (needed shared library changed)
    	rrdtool-1.6.0_1 [pfSense]
    	openldap-client-2.4.44 [pfSense]
    	nettle-3.3 [pfSense]
    	luajit-2.0.4_1 [pfSense]
    	libzmq4-4.1.5 [pfSense]
    	libxml2-2.9.4 [pfSense]
    	libltdl-2.4.6 [pfSense]
    	libidn-1.33_1 [pfSense]
    	libiconv-1.14_10 [pfSense]
    	libgd-2.2.4,1 [pfSense]
    	libffi-3.2.1 [pfSense]
    	libedit-3.1.20150325_2,1 [pfSense]
    	json-c-0.12.1 [pfSense]
    	jpeg-turbo-1.5.1 [pfSense]
    	jbigkit-2.1_1 [pfSense]
    	idnkit-1.0_6 [pfSense]
    	giflib-5.1.4 [pfSense]
    	gettext-runtime-0.19.8.1_1 [pfSense]
    	gdbm-1.12 [pfSense]
    	freeradius-2.2.9 [pfSense] (options changed)
    	expat-2.2.0_1 [pfSense]
    	dnsmasq-2.76,1 [pfSense] (options changed)
    	cyrus-sasl-2.1.26_12 [pfSense]
    	check_reload_status-0.0.7 [pfSense] (direct dependency changed: libevent)
    
    Number of packages to be installed: 4
    Number of packages to be upgraded: 64
    Number of packages to be reinstalled: 27
    
    The operation will free 7 MiB.
    119 MiB to be downloaded.
    [1/95] Fetching webp-0.5.2_1.txz: .......... done
    [2/95] Fetching vstr-1.0.15_1.txz: .......... done
    [3/95] Fetching unbound-1.6.1.txz: .......... done
    [4/95] Fetching tiff-4.0.7_1.txz: .......... done
    [5/95] Fetching strongswan-5.5.1_1.txz: .......... done
    [6/95] Fetching squidclamav-6.16.txz: ....... done
    [7/95] Fetching squid-3.5.24_2.txz: .......... done
    [8/95] Fetching sqlite3-3.17.0.txz: .......... done
    [9/95] Fetching softflowd-0.9.9.txz: .... done
    [10/95] Fetching smartmontools-6.5_2.txz: .......... done
    [11/95] Fetching siproxd-0.8.2.txz: .......... done
    [12/95] Fetching rrdtool-1.6.0_1.txz: .......... done
    [13/95] Fetching redis-3.2.8.txz: .......... done
    [14/95] Fetching python27-2.7.13_3.txz: .......... done
    [15/95] Fetching postgresql93-client-9.3.16.txz: .......... done
    [16/95] Fetching png-1.6.29.txz: .......... done
    [17/95] Fetching pkgconf-1.3.0,1.txz: ....... done
    [18/95] Fetching php-xdebug-2.5.0.txz: .......... done
    [19/95] Fetching pftop-0.7_8.txz: ........ done
    [20/95] Fetching pfSense-rc-2.3.4.txz: . done
    [21/95] Fetching pfSense-pkg-squidGuard-1.16.2.txz: ...... done
    [22/95] Fetching pfSense-pkg-squid-0.4.36_3.txz: ........ done
    [23/95] Fetching pfSense-pkg-siproxd-1.1.3_3.txz: .. done
    [24/95] Fetching pfSense-pkg-pfBlockerNG-2.1.1_8.txz: .......... done
    [25/95] Fetching pfSense-pkg-openvpn-client-export-1.4.3.txz: ... done
    [26/95] Fetching pfSense-pkg-freeradius2-1.7.8.txz: ....... done
    [27/95] Fetching pfSense-pkg-Lightsquid-3.0.6_4.txz: .... done
    [28/95] Fetching pfSense-pkg-Cron-0.3.7_2.txz: . done
    [29/95] Fetching pfSense-kernel-pfSense-2.3.4.txz: .......... done
    [30/95] Fetching pfSense-default-config-2.3.4.txz: . done
    [31/95] Fetching pfSense-base-2.3.4.txz: .......... done
    [32/95] Fetching pfSense-2.3.4.txz: . done
    [33/95] Fetching perl5-5.24.1.txz: .......... done
    [34/95] Fetching pcre-8.40.txz: .......... done
    [35/95] Fetching p5-GD-2.56_4.txz: .......... done
    [36/95] Fetching openvpn-client-export-2.4.1_1.txz: .......... done
    [37/95] Fetching openldap-client-2.4.44.txz: .......... done
    [38/95] Fetching ntp-4.2.8p10_2.txz: .......... done
    [39/95] Fetching ntopng-2.4.2017.01.20_1.txz: .......... done
    [40/95] Fetching nginx-1.10.3_1,2.txz: .......... done
    [41/95] Fetching nettle-3.3.txz: .......... done
    [42/95] Fetching ndpi-1.8.2016.07.13_1.txz: .......... done
    [43/95] Fetching mysql56-client-5.6.35_3.txz: .......... done
    [44/95] Fetching lzo2-2.10_1.txz: .......... done
    [45/95] Fetching luajit-2.0.4_1.txz: .......... done
    [46/95] Fetching lighttpd-1.4.45_1.txz: .......... done
    [47/95] Fetching libzmq4-4.1.5.txz: .......... done
    [48/95] Fetching libxml2-2.9.4.txz: .......... done
    [49/95] Fetching libssh2-1.8.0,3.txz: .......... done
    [50/95] Fetching libsodium-1.0.12.txz: .......... done
    [51/95] Fetching libosip2-5.0.0.txz: .......... done
    [52/95] Fetching libnghttp2-1.21.0.txz: .......... done
    [53/95] Fetching libnet-1.1.6_5,1.txz: .......... done
    [54/95] Fetching liblz4-1.7.5,1.txz: .......... done
    [55/95] Fetching libltdl-2.4.6.txz: ..... done
    [56/95] Fetching libidn-1.33_1.txz: .......... done
    [57/95] Fetching libiconv-1.14_10.txz: .......... done
    [58/95] Fetching libgd-2.2.4,1.txz: .......... done
    [59/95] Fetching libfontenc-1.1.3_1.txz: ... done
    [60/95] Fetching libffi-3.2.1.txz: ..... done
    [61/95] Fetching libedit-3.1.20150325_2,1.txz: .......... done
    [62/95] Fetching lha-1.14i_7.txz: ..... done
    [63/95] Fetching ldns-1.7.0.txz: .......... done
    [64/95] Fetching ladvd-1.1.0_2.txz: ..... done
    [65/95] Fetching krb5-1.15.1_4.txz: .......... done
    [66/95] Fetching json-c-0.12.1.txz: ..... done
    [67/95] Fetching jpeg-turbo-1.5.1.txz: .......... done
    [68/95] Fetching jbigkit-2.1_1.txz: ....... done
    [69/95] Fetching ipmitool-1.8.18.txz: .......... done
    [70/95] Fetching idnkit-1.0_6.txz: .......... done
    [71/95] Fetching graphviz-2.40.1.txz: .......... done
    [72/95] Fetching gmp-6.1.2.txz: .......... done
    [73/95] Fetching glib-2.46.2_5.txz: .......... done
    [74/95] Fetching giflib-5.1.4.txz: .......... done
    [75/95] Fetching gettext-runtime-0.19.8.1_1.txz: .......... done
    [76/95] Fetching gdbm-1.12.txz: .......... done
    [77/95] Fetching freetype2-2.7.1.txz: .......... done
    [78/95] Fetching freeradius-2.2.9.txz: .......... done
    [79/95] Fetching expat-2.2.0_1.txz: .......... done
    [80/95] Fetching dnsmasq-2.76,1.txz: .......... done
    [81/95] Fetching dhcp6-20080615.2.txz: .......... done
    [82/95] Fetching cyrus-sasl-2.1.26_12.txz: .......... done
    [83/95] Fetching curl-7.54.0.txz: .......... done
    [84/95] Fetching clamav-0.99.2_3.txz: .......... done
    [85/95] Fetching check_reload_status-0.0.7.txz: .... done
    [86/95] Fetching ca_root_nss-3.30.2.txz: .......... done
    [87/95] Fetching c-icap-modules-0.4.5.txz: .......... done
    [88/95] Fetching c-icap-0.4.4,2.txz: .......... done
    [89/95] Fetching bind-tools-9.11.1.txz: .......... done
    [90/95] Fetching bash-4.4.12_2.txz: .......... done
    [91/95] Fetching GeoIP-1.6.10.txz: .......... done
    [92/95] Fetching libevent-2.1.8.txz: .......... done
    [93/95] Fetching pecl-intl-3.0.0_7.txz: .......... done
    [94/95] Fetching icu-58.2,1.txz: .......... done
    [95/95] Fetching lua52-5.2.4.txz: .......... done
    Checking integrity... done (1 conflicting)
      - libevent-2.1.8 [pfSense] conflicts with libevent2-2.0.22_1 [installed] on /usr/local/bin/event_rpcgen.py
    Checking integrity... done (0 conflicting)
    Conflicts with the existing packages have been found.
    One more solver iteration is needed to resolve them.
    The following 96 package(s) will be affected (of 0 checked):
    
    Installed packages to be REMOVED:
    	libevent2-2.0.22_1
    
    New packages to be INSTALLED:
    	libevent: 2.1.8 [pfSense]
    	icu: 58.2,1 [pfSense]
    	lua52: 5.2.4 [pfSense]
    	pecl-intl: 3.0.0_7 [pfSense]
    
    Installed packages to be UPGRADED:
    	python27: 2.7.13_1 -> 2.7.13_3 [pfSense]
    	png: 1.6.27 -> 1.6.29 [pfSense]
    	perl5: 5.24.1.r4_1 -> 5.24.1 [pfSense]
    	pcre: 8.39_1 -> 8.40 [pfSense]
    	webp: 0.5.2 -> 0.5.2_1 [pfSense]
    	pkgconf: 1.1.0 -> 1.3.0,1 [pfSense]
    	libnghttp2: 1.18.0 -> 1.21.0 [pfSense]
    	ldns: 1.6.17_5 -> 1.7.0 [pfSense]
    	glib: 2.46.2_4 -> 2.46.2_5 [pfSense]
    	freetype2: 2.6.3 -> 2.7.1 [pfSense]
    	ca_root_nss: 3.28.1 -> 3.30.2 [pfSense]
    	unbound: 1.6.0 -> 1.6.1 [pfSense]
    	libsodium: 1.0.11_1 -> 1.0.12 [pfSense]
    	liblz4: 131 -> 1.7.5,1 [pfSense]
    	lha: 1.14i_6 -> 1.14i_7 [pfSense]
    	krb5: 1.14.4 -> 1.15.1_4 [pfSense]
    	gmp: 5.1.3_3 -> 6.1.2 [pfSense]
    	curl: 7.53.0 -> 7.54.0 [pfSense]
    	strongswan: 5.5.1 -> 5.5.1_1 [pfSense]
    	squid: 3.5.23 -> 3.5.24_2 [pfSense]
    	sqlite3: 3.15.1_1 -> 3.17.0 [pfSense]
    	postgresql93-client: 9.3.15_1 -> 9.3.16 [pfSense]
    	p5-GD: 2.56_3 -> 2.56_4 [pfSense]
    	mysql56-client: 5.6.35_1 -> 5.6.35_3 [pfSense]
    	lzo2: 2.09 -> 2.10_1 [pfSense]
    	libssh2: 1.8.0,2 -> 1.8.0,3 [pfSense]
    	libosip2: 4.1.0_1 -> 5.0.0 [pfSense]
    	clamav: 0.99.2_2 -> 0.99.2_3 [pfSense]
    	c-icap: 0.4.3,2 -> 0.4.4,2 [pfSense]
    	squidclamav: 6.14 -> 6.16 [pfSense]
    	smartmontools: 6.5_1 -> 6.5_2 [pfSense]
    	php-xdebug: 2.4.1_1 -> 2.5.0 [pfSense]
    	pftop: 0.7_7 -> 0.7_8 [pfSense]
    	pfSense-rc: 2.3.3_1 -> 2.3.4 [pfSense-core]
    	openvpn-client-export: 2.4.1 -> 2.4.1_1 [pfSense]
    	ntp: 4.2.8p9_1 -> 4.2.8p10_2 [pfSense]
    	nginx: 1.10.2_3,2 -> 1.10.3_1,2 [pfSense]
    	ndpi: 1.8.2016.07.13 -> 1.8.2016.07.13_1 [pfSense]
    	lighttpd: 1.4.44 -> 1.4.45_1 [pfSense]
    	ipmitool: 1.8.17_1 -> 1.8.18 [pfSense]
    	dhcp6: 20080615.1 -> 20080615.2 [pfSense]
    	c-icap-modules: 0.4.3 -> 0.4.5 [pfSense]
    	bind-tools: 9.11.0P3 -> 9.11.1 [pfSense]
    	bash: 4.4.12 -> 4.4.12_2 [pfSense]
    	GeoIP: 1.6.9 -> 1.6.10 [pfSense]
    	softflowd: 0.9.8_2 -> 0.9.9 [pfSense]
    	redis: 3.2.6 -> 3.2.8 [pfSense]
    	pfSense-pkg-squidGuard: 1.16.1 -> 1.16.2 [pfSense]
    	pfSense-pkg-squid: 0.4.36_2 -> 0.4.36_3 [pfSense]
    	pfSense-pkg-siproxd: 1.1.3_2 -> 1.1.3_3 [pfSense]
    	pfSense-pkg-pfBlockerNG: 2.1.1_7 -> 2.1.1_8 [pfSense]
    	pfSense-pkg-openvpn-client-export: 1.4.2_1 -> 1.4.3 [pfSense]
    	pfSense-pkg-freeradius2: 1.7.7 -> 1.7.8 [pfSense]
    	pfSense-pkg-Lightsquid: 3.0.6_2 -> 3.0.6_4 [pfSense]
    	pfSense-pkg-Cron: 0.3.7_1 -> 0.3.7_2 [pfSense]
    	pfSense-kernel-pfSense: 2.3.3_1 -> 2.3.4 [pfSense-core]
    	pfSense-default-config: 2.3.3_1 -> 2.3.4 [pfSense-core]
    	pfSense-base: 2.3.3_1 -> 2.3.4 [pfSense-core]
    	pfSense: 2.3.3_1 -> 2.3.4 [pfSense]
    	ntopng: 2.4.2016.10.14 -> 2.4.2017.01.20_1 [pfSense]
    	libnet: 1.1.6_4,1 -> 1.1.6_5,1 [pfSense]
    	libfontenc: 1.1.3 -> 1.1.3_1 [pfSense]
    	ladvd: 1.1.0 -> 1.1.0_2 [pfSense]
    	graphviz: 2.38.0_14 -> 2.40.1 [pfSense]
    
    Installed packages to be REINSTALLED:
    	libffi-3.2.1 [pfSense]
    	jpeg-turbo-1.5.1 [pfSense]
    	jbigkit-2.1_1 [pfSense]
    	gettext-runtime-0.19.8.1_1 [pfSense]
    	tiff-4.0.7_1 [pfSense]
    	libiconv-1.14_10 [pfSense]
    	giflib-5.1.4 [pfSense]
    	libxml2-2.9.4 [pfSense]
    	expat-2.2.0_1 [pfSense]
    	vstr-1.0.15_1 [pfSense]
    	rrdtool-1.6.0_1 [pfSense]
    	openldap-client-2.4.44 [pfSense]
    	libltdl-2.4.6 [pfSense]
    	libgd-2.2.4,1 [pfSense]
    	libedit-3.1.20150325_2,1 [pfSense]
    	json-c-0.12.1 [pfSense]
    	cyrus-sasl-2.1.26_12 [pfSense]
    	nettle-3.3 [pfSense]
    	libzmq4-4.1.5 [pfSense]
    	libidn-1.33_1 [pfSense]
    	idnkit-1.0_6 [pfSense]
    	gdbm-1.12 [pfSense]
    	siproxd-0.8.2 [pfSense] (needed shared library changed)
    	luajit-2.0.4_1 [pfSense]
    	freeradius-2.2.9 [pfSense] (options changed)
    	dnsmasq-2.76,1 [pfSense] (options changed)
    	check_reload_status-0.0.7 [pfSense] (direct dependency changed: libevent)
    
    Number of packages to be removed: 1
    Number of packages to be installed: 4
    Number of packages to be upgraded: 64
    Number of packages to be reinstalled: 27
    
    The operation will free 9 MiB.
    >>> Upgrading pfSense kernel... 
    Checking integrity... done (0 conflicting)
    The following 2 package(s) will be affected (of 0 checked):
    
    Installed packages to be UPGRADED:
    	pfSense-kernel-pfSense: 2.3.3_1 -> 2.3.4 [pfSense-core]
    	pfSense-rc: 2.3.3_1 -> 2.3.4 [pfSense-core]
    
    Number of packages to be upgraded: 2
    [1/2] Upgrading pfSense-rc from 2.3.3_1 to 2.3.4...
    [1/2] Extracting pfSense-rc-2.3.4: .... done
    [2/2] Upgrading pfSense-kernel-pfSense from 2.3.3_1 to 2.3.4...
    [2/2] Extracting pfSense-kernel-pfSense-2.3.4: .......... done
    ===> Keeping a copy of current kernel in /boot/kernel.old
    Upgrade is complete.  Rebooting in 10 seconds.
    >>> Locking package pfSense-kernel-pfSense... done.
    Success
    
    

    The second system upgraded with the following log getting stuck at [89/95], did NOT reboot, and showed all packages as updated, after I let it sit for sufficient time for the system to finish (I didn't trust the log stopping at [89/95]; and also, it didn't list "pfSense-kernel-pfSense: 2.3.3_1 -> 2.3.4 [pfSense-core]" as package to be upgraded:

    >>> Upgrading necessary packages... 
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up to date.
    Updating pfSense repository catalogue...
    pfSense repository is up to date.
    All repositories are up to date.
    Checking for upgrades (233 candidates): ....
    
    pfSense-kernel-pfSense-2.3.3_1 is locked and may not be modified
    Checking for upgrades (233 candidates)......... done
    Processing candidates (233 candidates): ... done
    The following 94 package(s) will be affected (of 0 checked):
    
    New packages to be INSTALLED:
    	libevent: 2.1.8 [pfSense]
    	pecl-intl: 3.0.0_7 [pfSense]
    	icu: 58.2,1 [pfSense]
    	lua52: 5.2.4 [pfSense]
    
    Installed packages to be UPGRADED:
    	webp: 0.5.2 -> 0.5.2_1 [pfSense]
    	unbound: 1.6.0 -> 1.6.1 [pfSense]
    	strongswan: 5.5.1 -> 5.5.1_1 [pfSense]
    	squidclamav: 6.14 -> 6.16 [pfSense]
    	squid: 3.5.23 -> 3.5.24_2 [pfSense]
    	sqlite3: 3.15.1_1 -> 3.17.0 [pfSense]
    	softflowd: 0.9.8_2 -> 0.9.9 [pfSense]
    	smartmontools: 6.5_1 -> 6.5_2 [pfSense]
    	redis: 3.2.6 -> 3.2.8 [pfSense]
    	python27: 2.7.13_1 -> 2.7.13_3 [pfSense]
    	postgresql93-client: 9.3.15_1 -> 9.3.16 [pfSense]
    	png: 1.6.27 -> 1.6.29 [pfSense]
    	pkgconf: 1.1.0 -> 1.3.0,1 [pfSense]
    	php-xdebug: 2.4.1_1 -> 2.5.0 [pfSense]
    	pftop: 0.7_7 -> 0.7_8 [pfSense]
    	pfSense-rc: 2.3.3_1 -> 2.3.4 [pfSense-core]
    	pfSense-pkg-squidGuard: 1.16.1 -> 1.16.2 [pfSense]
    	pfSense-pkg-squid: 0.4.36_2 -> 0.4.36_3 [pfSense]
    	pfSense-pkg-siproxd: 1.1.3_2 -> 1.1.3_3 [pfSense]
    	pfSense-pkg-pfBlockerNG: 2.1.1_7 -> 2.1.1_8 [pfSense]
    	pfSense-pkg-openvpn-client-export: 1.4.2_1 -> 1.4.3 [pfSense]
    	pfSense-pkg-freeradius2: 1.7.7 -> 1.7.8 [pfSense]
    	pfSense-pkg-Lightsquid: 3.0.6_2 -> 3.0.6_4 [pfSense]
    	pfSense-pkg-Cron: 0.3.7_1 -> 0.3.7_2 [pfSense]
    	pfSense-default-config: 2.3.3_1 -> 2.3.4 [pfSense-core]
    	pfSense-base: 2.3.3_1 -> 2.3.4 [pfSense-core]
    	pfSense: 2.3.3_1 -> 2.3.4 [pfSense]
    	perl5: 5.24.1.r4_1 -> 5.24.1 [pfSense]
    	pcre: 8.39_1 -> 8.40 [pfSense]
    	p5-GD: 2.56_3 -> 2.56_4 [pfSense]
    	openvpn-client-export: 2.4.1 -> 2.4.1_1 [pfSense]
    	ntp: 4.2.8p9_1 -> 4.2.8p10_2 [pfSense]
    	ntopng: 2.4.2016.10.14 -> 2.4.2017.01.20_1 [pfSense]
    	nginx: 1.10.2_3,2 -> 1.10.3_1,2 [pfSense]
    	ndpi: 1.8.2016.07.13 -> 1.8.2016.07.13_1 [pfSense]
    	mysql56-client: 5.6.35_1 -> 5.6.35_3 [pfSense]
    	lzo2: 2.09 -> 2.10_1 [pfSense]
    	lighttpd: 1.4.44 -> 1.4.45_1 [pfSense]
    	libssh2: 1.8.0,2 -> 1.8.0,3 [pfSense]
    	libsodium: 1.0.11_1 -> 1.0.12 [pfSense]
    	libosip2: 4.1.0_1 -> 5.0.0 [pfSense]
    	libnghttp2: 1.18.0 -> 1.21.0 [pfSense]
    	libnet: 1.1.6_4,1 -> 1.1.6_5,1 [pfSense]
    	liblz4: 131 -> 1.7.5,1 [pfSense]
    	libfontenc: 1.1.3 -> 1.1.3_1 [pfSense]
    	lha: 1.14i_6 -> 1.14i_7 [pfSense]
    	ldns: 1.6.17_5 -> 1.7.0 [pfSense]
    	ladvd: 1.1.0 -> 1.1.0_2 [pfSense]
    	krb5: 1.14.4 -> 1.15.1_4 [pfSense]
    	ipmitool: 1.8.17_1 -> 1.8.18 [pfSense]
    	graphviz: 2.38.0_14 -> 2.40.1 [pfSense]
    	gmp: 5.1.3_3 -> 6.1.2 [pfSense]
    	glib: 2.46.2_4 -> 2.46.2_5 [pfSense]
    	freetype2: 2.6.3 -> 2.7.1 [pfSense]
    	dhcp6: 20080615.1 -> 20080615.2 [pfSense]
    	curl: 7.53.0 -> 7.54.0 [pfSense]
    	clamav: 0.99.2_2 -> 0.99.2_3 [pfSense]
    	ca_root_nss: 3.28.1 -> 3.30.2 [pfSense]
    	c-icap-modules: 0.4.3 -> 0.4.5 [pfSense]
    	c-icap: 0.4.3,2 -> 0.4.4,2 [pfSense]
    	bind-tools: 9.11.0P3 -> 9.11.1 [pfSense]
    	bash: 4.4.12 -> 4.4.12_2 [pfSense]
    	GeoIP: 1.6.9 -> 1.6.10 [pfSense]
    
    Installed packages to be REINSTALLED:
    	vstr-1.0.15_1 [pfSense]
    	tiff-4.0.7_1 [pfSense]
    	siproxd-0.8.2 [pfSense] (needed shared library changed)
    	rrdtool-1.6.0_1 [pfSense]
    	openldap-client-2.4.44 [pfSense]
    	nettle-3.3 [pfSense]
    	luajit-2.0.4_1 [pfSense]
    	libzmq4-4.1.5 [pfSense]
    	libxml2-2.9.4 [pfSense]
    	libltdl-2.4.6 [pfSense]
    	libidn-1.33_1 [pfSense]
    	libiconv-1.14_10 [pfSense]
    	libgd-2.2.4,1 [pfSense]
    	libffi-3.2.1 [pfSense]
    	libedit-3.1.20150325_2,1 [pfSense]
    	json-c-0.12.1 [pfSense]
    	jpeg-turbo-1.5.1 [pfSense]
    	jbigkit-2.1_1 [pfSense]
    	idnkit-1.0_6 [pfSense]
    	giflib-5.1.4 [pfSense]
    	gettext-runtime-0.19.8.1_1 [pfSense]
    	gdbm-1.12 [pfSense]
    	freeradius-2.2.9 [pfSense] (options changed)
    	expat-2.2.0_1 [pfSense]
    	dnsmasq-2.76,1 [pfSense] (options changed)
    	cyrus-sasl-2.1.26_12 [pfSense]
    	check_reload_status-0.0.7 [pfSense] (direct dependency changed: libevent)
    
    Number of packages to be installed: 4
    Number of packages to be upgraded: 63
    Number of packages to be reinstalled: 27
    
    The operation will free 7 MiB.
    104 MiB to be downloaded.
    [1/94] Fetching webp-0.5.2_1.txz: .......... done
    [2/94] Fetching vstr-1.0.15_1.txz: .......... done
    [3/94] Fetching unbound-1.6.1.txz: .......... done
    [4/94] Fetching tiff-4.0.7_1.txz: .......... done
    [5/94] Fetching strongswan-5.5.1_1.txz: .......... done
    [6/94] Fetching squidclamav-6.16.txz: ....... done
    [7/94] Fetching squid-3.5.24_2.txz: .......... done
    [8/94] Fetching sqlite3-3.17.0.txz: .......... done
    [9/94] Fetching softflowd-0.9.9.txz: .... done
    [10/94] Fetching smartmontools-6.5_2.txz: .......... done
    [11/94] Fetching siproxd-0.8.2.txz: .......... done
    [12/94] Fetching rrdtool-1.6.0_1.txz: .......... done
    [13/94] Fetching redis-3.2.8.txz: .......... done
    [14/94] Fetching python27-2.7.13_3.txz: .......... done
    [15/94] Fetching postgresql93-client-9.3.16.txz: .......... done
    [16/94] Fetching png-1.6.29.txz: .......... done
    [17/94] Fetching pkgconf-1.3.0,1.txz: ....... done
    [18/94] Fetching php-xdebug-2.5.0.txz: .......... done
    [19/94] Fetching pftop-0.7_8.txz: ........ done
    [20/94] Fetching pfSense-rc-2.3.4.txz: . done
    [21/94] Fetching pfSense-pkg-squidGuard-1.16.2.txz: ...... done
    [22/94] Fetching pfSense-pkg-squid-0.4.36_3.txz: ........ done
    [23/94] Fetching pfSense-pkg-siproxd-1.1.3_3.txz: .. done
    [24/94] Fetching pfSense-pkg-pfBlockerNG-2.1.1_8.txz: .......... done
    [25/94] Fetching pfSense-pkg-openvpn-client-export-1.4.3.txz: ... done
    [26/94] Fetching pfSense-pkg-freeradius2-1.7.8.txz: ....... done
    [27/94] Fetching pfSense-pkg-Lightsquid-3.0.6_4.txz: .... done
    [28/94] Fetching pfSense-pkg-Cron-0.3.7_2.txz: . done
    [29/94] Fetching pfSense-default-config-2.3.4.txz: . done
    [30/94] Fetching pfSense-base-2.3.4.txz: .......... done
    [31/94] Fetching pfSense-2.3.4.txz: . done
    [32/94] Fetching perl5-5.24.1.txz: .......... done
    [33/94] Fetching pcre-8.40.txz: .......... done
    [34/94] Fetching p5-GD-2.56_4.txz: .......... done
    [35/94] Fetching openvpn-client-export-2.4.1_1.txz: .......... done
    [36/94] Fetching openldap-client-2.4.44.txz: .......... done
    [37/94] Fetching ntp-4.2.8p10_2.txz: .......... done
    [38/94] Fetching ntopng-2.4.2017.01.20_1.txz: .......... done
    [39/94] Fetching nginx-1.10.3_1,2.txz: .......... done
    [40/94] Fetching nettle-3.3.txz: .......... done
    [41/94] Fetching ndpi-1.8.2016.07.13_1.txz: .......... done
    [42/94] Fetching mysql56-client-5.6.35_3.txz: .......... done
    [43/94] Fetching lzo2-2.10_1.txz: .......... done
    [44/94] Fetching luajit-2.0.4_1.txz: .......... done
    [45/94] Fetching lighttpd-1.4.45_1.txz: .......... done
    [46/94] Fetching libzmq4-4.1.5.txz: .......... done
    [47/94] Fetching libxml2-2.9.4.txz: .......... done
    [48/94] Fetching libssh2-1.8.0,3.txz: .......... done
    [49/94] Fetching libsodium-1.0.12.txz: .......... done
    [50/94] Fetching libosip2-5.0.0.txz: .......... done
    [51/94] Fetching libnghttp2-1.21.0.txz: .......... done
    [52/94] Fetching libnet-1.1.6_5,1.txz: .......... done
    [53/94] Fetching liblz4-1.7.5,1.txz: .......... done
    [54/94] Fetching libltdl-2.4.6.txz: ..... done
    [55/94] Fetching libidn-1.33_1.txz: .......... done
    [56/94] Fetching libiconv-1.14_10.txz: .......... done
    [57/94] Fetching libgd-2.2.4,1.txz: .......... done
    [58/94] Fetching libfontenc-1.1.3_1.txz: ... done
    [59/94] Fetching libffi-3.2.1.txz: ..... done
    [60/94] Fetching libedit-3.1.20150325_2,1.txz: .......... done
    [61/94] Fetching lha-1.14i_7.txz: ..... done
    [62/94] Fetching ldns-1.7.0.txz: .......... done
    [63/94] Fetching ladvd-1.1.0_2.txz: ..... done
    [64/94] Fetching krb5-1.15.1_4.txz: .......... done
    [65/94] Fetching json-c-0.12.1.txz: ..... done
    [66/94] Fetching jpeg-turbo-1.5.1.txz: .......... done
    [67/94] Fetching jbigkit-2.1_1.txz: ....... done
    [68/94] Fetching ipmitool-1.8.18.txz: .......... done
    [69/94] Fetching idnkit-1.0_6.txz: .......... done
    [70/94] Fetching graphviz-2.40.1.txz: .......... done
    [71/94] Fetching gmp-6.1.2.txz: .......... done
    [72/94] Fetching glib-2.46.2_5.txz: .......... done
    [73/94] Fetching giflib-5.1.4.txz: .......... done
    [74/94] Fetching gettext-runtime-0.19.8.1_1.txz: .......... done
    [75/94] Fetching gdbm-1.12.txz: .......... done
    [76/94] Fetching freetype2-2.7.1.txz: .......... done
    [77/94] Fetching freeradius-2.2.9.txz: .......... done
    [78/94] Fetching expat-2.2.0_1.txz: .......... done
    [79/94] Fetching dnsmasq-2.76,1.txz: .......... done
    [80/94] Fetching dhcp6-20080615.2.txz: .......... done
    [81/94] Fetching cyrus-sasl-2.1.26_12.txz: .......... done
    [82/94] Fetching curl-7.54.0.txz: .......... done
    [83/94] Fetching clamav-0.99.2_3.txz: .......... done
    [84/94] Fetching check_reload_status-0.0.7.txz: .... done
    [85/94] Fetching ca_root_nss-3.30.2.txz: .......... done
    [86/94] Fetching c-icap-modules-0.4.5.txz: .......... done
    [87/94] Fetching c-icap-0.4.4,2.txz: .......... done
    [88/94] Fetching bind-tools-9.11.1.txz: .......... done
    [89/94] Fetching bash-4.4.12_2.txz: .......... done
    [90/94] Fetching GeoIP-1.6.10.txz: .......... done
    [91/94] Fetching libevent-2.1.8.txz: .......... done
    [92/94] Fetching pecl-intl-3.0.0_7.txz: .......... done
    [93/94] Fetching icu-58.2,1.txz: .......... done
    [94/94] Fetching lua52-5.2.4.txz: .......... done
    Checking integrity... done (1 conflicting)
      - libevent-2.1.8 [pfSense] conflicts with libevent2-2.0.22_1 [installed] on /usr/local/bin/event_rpcgen.py
    Checking integrity... done (0 conflicting)
    Conflicts with the existing packages have been found.
    One more solver iteration is needed to resolve them.
    The following 95 package(s) will be affected (of 0 checked):
    
    Installed packages to be REMOVED:
    	libevent2-2.0.22_1
    
    New packages to be INSTALLED:
    	libevent: 2.1.8 [pfSense]
    	icu: 58.2,1 [pfSense]
    	lua52: 5.2.4 [pfSense]
    	pecl-intl: 3.0.0_7 [pfSense]
    
    Installed packages to be UPGRADED:
    	python27: 2.7.13_1 -> 2.7.13_3 [pfSense]
    	png: 1.6.27 -> 1.6.29 [pfSense]
    	perl5: 5.24.1.r4_1 -> 5.24.1 [pfSense]
    	pcre: 8.39_1 -> 8.40 [pfSense]
    	webp: 0.5.2 -> 0.5.2_1 [pfSense]
    	pkgconf: 1.1.0 -> 1.3.0,1 [pfSense]
    	libnghttp2: 1.18.0 -> 1.21.0 [pfSense]
    	ldns: 1.6.17_5 -> 1.7.0 [pfSense]
    	glib: 2.46.2_4 -> 2.46.2_5 [pfSense]
    	freetype2: 2.6.3 -> 2.7.1 [pfSense]
    	ca_root_nss: 3.28.1 -> 3.30.2 [pfSense]
    	unbound: 1.6.0 -> 1.6.1 [pfSense]
    	libsodium: 1.0.11_1 -> 1.0.12 [pfSense]
    	liblz4: 131 -> 1.7.5,1 [pfSense]
    	lha: 1.14i_6 -> 1.14i_7 [pfSense]
    	krb5: 1.14.4 -> 1.15.1_4 [pfSense]
    	gmp: 5.1.3_3 -> 6.1.2 [pfSense]
    	curl: 7.53.0 -> 7.54.0 [pfSense]
    	strongswan: 5.5.1 -> 5.5.1_1 [pfSense]
    	squid: 3.5.23 -> 3.5.24_2 [pfSense]
    	sqlite3: 3.15.1_1 -> 3.17.0 [pfSense]
    	postgresql93-client: 9.3.15_1 -> 9.3.16 [pfSense]
    	p5-GD: 2.56_3 -> 2.56_4 [pfSense]
    	mysql56-client: 5.6.35_1 -> 5.6.35_3 [pfSense]
    	lzo2: 2.09 -> 2.10_1 [pfSense]
    	libssh2: 1.8.0,2 -> 1.8.0,3 [pfSense]
    	libosip2: 4.1.0_1 -> 5.0.0 [pfSense]
    	clamav: 0.99.2_2 -> 0.99.2_3 [pfSense]
    	c-icap: 0.4.3,2 -> 0.4.4,2 [pfSense]
    	squidclamav: 6.14 -> 6.16 [pfSense]
    	smartmontools: 6.5_1 -> 6.5_2 [pfSense]
    	php-xdebug: 2.4.1_1 -> 2.5.0 [pfSense]
    	pftop: 0.7_7 -> 0.7_8 [pfSense]
    	pfSense-rc: 2.3.3_1 -> 2.3.4 [pfSense-core]
    	openvpn-client-export: 2.4.1 -> 2.4.1_1 [pfSense]
    	ntp: 4.2.8p9_1 -> 4.2.8p10_2 [pfSense]
    	nginx: 1.10.2_3,2 -> 1.10.3_1,2 [pfSense]
    	ndpi: 1.8.2016.07.13 -> 1.8.2016.07.13_1 [pfSense]
    	lighttpd: 1.4.44 -> 1.4.45_1 [pfSense]
    	ipmitool: 1.8.17_1 -> 1.8.18 [pfSense]
    	dhcp6: 20080615.1 -> 20080615.2 [pfSense]
    	c-icap-modules: 0.4.3 -> 0.4.5 [pfSense]
    	bind-tools: 9.11.0P3 -> 9.11.1 [pfSense]
    	bash: 4.4.12 -> 4.4.12_2 [pfSense]
    	GeoIP: 1.6.9 -> 1.6.10 [pfSense]
    	softflowd: 0.9.8_2 -> 0.9.9 [pfSense]
    	redis: 3.2.6 -> 3.2.8 [pfSense]
    	pfSense-pkg-squidGuard: 1.16.1 -> 1.16.2 [pfSense]
    	pfSense-pkg-squid: 0.4.36_2 -> 0.4.36_3 [pfSense]
    	pfSense-pkg-siproxd: 1.1.3_2 -> 1.1.3_3 [pfSense]
    	pfSense-pkg-pfBlockerNG: 2.1.1_7 -> 2.1.1_8 [pfSense]
    	pfSense-pkg-openvpn-client-export: 1.4.2_1 -> 1.4.3 [pfSense]
    	pfSense-pkg-freeradius2: 1.7.7 -> 1.7.8 [pfSense]
    	pfSense-pkg-Lightsquid: 3.0.6_2 -> 3.0.6_4 [pfSense]
    	pfSense-pkg-Cron: 0.3.7_1 -> 0.3.7_2 [pfSense]
    	pfSense-default-config: 2.3.3_1 -> 2.3.4 [pfSense-core]
    	pfSense-base: 2.3.3_1 -> 2.3.4 [pfSense-core]
    	pfSense: 2.3.3_1 -> 2.3.4 [pfSense]
    	ntopng: 2.4.2016.10.14 -> 2.4.2017.01.20_1 [pfSense]
    	libnet: 1.1.6_4,1 -> 1.1.6_5,1 [pfSense]
    	libfontenc: 1.1.3 -> 1.1.3_1 [pfSense]
    	ladvd: 1.1.0 -> 1.1.0_2 [pfSense]
    	graphviz: 2.38.0_14 -> 2.40.1 [pfSense]
    
    Installed packages to be REINSTALLED:
    	libffi-3.2.1 [pfSense]
    	jpeg-turbo-1.5.1 [pfSense]
    	jbigkit-2.1_1 [pfSense]
    	gettext-runtime-0.19.8.1_1 [pfSense]
    	tiff-4.0.7_1 [pfSense]
    	libiconv-1.14_10 [pfSense]
    	giflib-5.1.4 [pfSense]
    	libxml2-2.9.4 [pfSense]
    	expat-2.2.0_1 [pfSense]
    	vstr-1.0.15_1 [pfSense]
    	rrdtool-1.6.0_1 [pfSense]
    	openldap-client-2.4.44 [pfSense]
    	libltdl-2.4.6 [pfSense]
    	libgd-2.2.4,1 [pfSense]
    	libedit-3.1.20150325_2,1 [pfSense]
    	json-c-0.12.1 [pfSense]
    	cyrus-sasl-2.1.26_12 [pfSense]
    	nettle-3.3 [pfSense]
    	libzmq4-4.1.5 [pfSense]
    	libidn-1.33_1 [pfSense]
    	idnkit-1.0_6 [pfSense]
    	gdbm-1.12 [pfSense]
    	siproxd-0.8.2 [pfSense] (needed shared library changed)
    	luajit-2.0.4_1 [pfSense]
    	freeradius-2.2.9 [pfSense] (options changed)
    	dnsmasq-2.76,1 [pfSense] (options changed)
    	check_reload_status-0.0.7 [pfSense] (direct dependency changed: libevent)
    
    Number of packages to be removed: 1
    Number of packages to be installed: 4
    Number of packages to be upgraded: 63
    Number of packages to be reinstalled: 27
    
    The operation will free 9 MiB.
    [1/95] Deinstalling libevent2-2.0.22_1...
    [1/95] Deleting files for libevent2-2.0.22_1: .......... done
    [2/95] Reinstalling gettext-runtime-0.19.8.1_1...
    [2/95] Extracting gettext-runtime-0.19.8.1_1: .......... done
    [3/95] Upgrading perl5 from 5.24.1.r4_1 to 5.24.1...
    [3/95] Extracting perl5-5.24.1: .......... done
    makewhatis: not found
    makewhatis: not found
    [4/95] Upgrading pcre from 8.39_1 to 8.40...
    [4/95] Extracting pcre-8.40: .......... done
    [5/95] Reinstalling libxml2-2.9.4...
    [5/95] Extracting libxml2-2.9.4: .......... done
    [6/95] Upgrading gmp from 5.1.3_3 to 6.1.2...
    [6/95] Extracting gmp-6.1.2: .......... done
    [7/95] Upgrading ldns from 1.6.17_5 to 1.7.0...
    [7/95] Extracting ldns-1.7.0: .......... done
    [8/95] Reinstalling expat-2.2.0_1...
    [8/95] Extracting expat-2.2.0_1: .......... done
    [9/95] Installing libevent-2.1.8...
    [9/95] Extracting libevent-2.1.8: .......... done
    [10/95] Reinstalling libedit-3.1.20150325_2,1...
    [10/95] Extracting libedit-3.1.20150325_2,1: .......... done
    [11/95] Reinstalling json-c-0.12.1...
    [11/95] Extracting json-c-0.12.1: .......... done
    [12/95] Reinstalling nettle-3.3...
    [12/95] Extracting nettle-3.3: .......... done
    [13/95] Reinstalling libidn-1.33_1...
    [13/95] Extracting libidn-1.33_1: .......... done
    [14/95] Reinstalling idnkit-1.0_6...
    [14/95] Extracting idnkit-1.0_6: .......... done
    [15/95] Reinstalling libffi-3.2.1...
    [15/95] Extracting libffi-3.2.1: .......... done
    [16/95] Upgrading ca_root_nss from 3.28.1 to 3.30.2...
    [16/95] Extracting ca_root_nss-3.30.2: ........ done
    [17/95] Upgrading unbound from 1.6.0 to 1.6.1...
    ===> Creating groups.
    Using existing group 'unbound'.
    ===> Creating users
    Using existing user 'unbound'.
    [17/95] Extracting unbound-1.6.1: .......... done
    [18/95] Reinstalling libltdl-2.4.6...
    [18/95] Extracting libltdl-2.4.6: .......... done
    [19/95] Upgrading smartmontools from 6.5_1 to 6.5_2...
    [19/95] Extracting smartmontools-6.5_2: .......... done
    [20/95] Upgrading php-xdebug from 2.4.1_1 to 2.5.0...
    [20/95] Extracting php-xdebug-2.5.0: .......... done
    [21/95] Upgrading pftop from 0.7_7 to 0.7_8...
    [21/95] Extracting pftop-0.7_8: ..... done
    [22/95] Upgrading nginx from 1.10.2_3,2 to 1.10.3_1,2...
    ===> Creating groups.
    Using existing group 'www'.
    ===> Creating users
    Using existing user 'www'.
    [22/95] Extracting nginx-1.10.3_1,2: .......... done
    [23/95] Upgrading ipmitool from 1.8.17_1 to 1.8.18...
    [23/95] Extracting ipmitool-1.8.18: ......... done
    [24/95] Reinstalling dnsmasq-2.76,1...
    [24/95] Extracting dnsmasq-2.76,1: .......... done
    [25/95] Upgrading dhcp6 from 20080615.1 to 20080615.2...
    [25/95] Extracting dhcp6-20080615.2: .......... done
    [26/95] Upgrading bind-tools from 9.11.0P3 to 9.11.1...
    [26/95] Extracting bind-tools-9.11.1: .......... done
    [27/95] Upgrading python27 from 2.7.13_1 to 2.7.13_3...
    [27/95] Extracting python27-2.7.13_3: .......... done
    [28/95] Reinstalling libiconv-1.14_10...
    [28/95] Extracting libiconv-1.14_10: .......... done
    [29/95] Reinstalling jpeg-turbo-1.5.1...
    [29/95] Extracting jpeg-turbo-1.5.1: .......... done
    [30/95] Reinstalling jbigkit-2.1_1...
    [30/95] Extracting jbigkit-2.1_1: .......... done
    [31/95] Upgrading pkgconf from 1.1.0 to 1.3.0,1...
    [31/95] Extracting pkgconf-1.3.0,1: .......... done
    [32/95] Upgrading libnghttp2 from 1.18.0 to 1.21.0...
    [32/95] Extracting libnghttp2-1.21.0: .......... done
    [33/95] Upgrading glib from 2.46.2_4 to 2.46.2_5...
    [33/95] Extracting glib-2.46.2_5: .......... done
    No schema files found: doing nothing.
    [34/95] Upgrading libsodium from 1.0.11_1 to 1.0.12...
    [34/95] Extracting libsodium-1.0.12: .......... done
    [35/95] Upgrading liblz4 from 131 to 1.7.5,1...
    [35/95] Extracting liblz4-1.7.5,1: .......... done
    [36/95] Reinstalling gdbm-1.12...
    [36/95] Extracting gdbm-1.12: .......... done
    [37/95] Reinstalling luajit-2.0.4_1...
    [37/95] Extracting luajit-2.0.4_1: .......... done
    [38/95] Upgrading bash from 4.4.12 to 4.4.12_2...
    [38/95] Extracting bash-4.4.12_2: .......... done
    [39/95] Upgrading GeoIP from 1.6.9 to 1.6.10...
    [39/95] Extracting GeoIP-1.6.10: .......... done
    [40/95] Reinstalling tiff-4.0.7_1...
    [40/95] Extracting tiff-4.0.7_1: .......... done
    [41/95] Upgrading png from 1.6.27 to 1.6.29...
    [41/95] Extracting png-1.6.29: .......... done
    [42/95] Reinstalling giflib-5.1.4...
    [42/95] Extracting giflib-5.1.4: .......... done
    [43/95] Reinstalling vstr-1.0.15_1...
    [43/95] Extracting vstr-1.0.15_1: .......... done
    [44/95] Reinstalling rrdtool-1.6.0_1...
    [44/95] Extracting rrdtool-1.6.0_1: .......... done
    [45/95] Reinstalling openldap-client-2.4.44...
    [45/95] Extracting openldap-client-2.4.44: .......... done
    [46/95] Upgrading lha from 1.14i_6 to 1.14i_7...
    [46/95] Extracting lha-1.14i_7: .. done
    [47/95] Upgrading krb5 from 1.14.4 to 1.15.1_4...
    [47/95] Extracting krb5-1.15.1_4: .......... done
    krb5-1.14.4: missing file /usr/local/share/doc/krb5/README.FreeBSD
    krb5-1.14.4: missing file /usr/local/share/examples/krb5/kdc.conf
    krb5-1.14.4: missing file /usr/local/share/examples/krb5/krb5.conf
    krb5-1.14.4: missing file /usr/local/share/examples/krb5/services.append
    [48/95] Reinstalling cyrus-sasl-2.1.26_12...
    *** Updated user `cyrus'.
    [48/95] Extracting cyrus-sasl-2.1.26_12: .......... done
    [49/95] Upgrading curl from 7.53.0 to 7.54.0...
    [49/95] Extracting curl-7.54.0: .......... done
    [50/95] Upgrading sqlite3 from 3.15.1_1 to 3.17.0...
    [50/95] Extracting sqlite3-3.17.0: .......... done
    [51/95] Upgrading postgresql93-client from 9.3.15_1 to 9.3.16...
    [51/95] Extracting postgresql93-client-9.3.16: .......... done
    [52/95] Upgrading mysql56-client from 5.6.35_1 to 5.6.35_3...
    [52/95] Extracting mysql56-client-5.6.35_3: .......... done
    [53/95] Reinstalling libzmq4-4.1.5...
    [53/95] Extracting libzmq4-4.1.5: .......... done
    [54/95] Upgrading ndpi from 1.8.2016.07.13 to 1.8.2016.07.13_1...
    [54/95] Extracting ndpi-1.8.2016.07.13_1: .......... done
    [55/95] Upgrading webp from 0.5.2 to 0.5.2_1...
    [55/95] Extracting webp-0.5.2_1: .......... done
    [56/95] Upgrading freetype2 from 2.6.3 to 2.7.1...
    [56/95] Extracting freetype2-2.7.1: .......... done
    [57/95] Upgrading squid from 3.5.23 to 3.5.24_2...
    ===> Creating groups.
    Using existing group 'squid'.
    ===> Creating users
    Using existing user 'squid'.
    ===> Pre-installation configuration for squid-3.5.24_2
    [57/95] Extracting squid-3.5.24_2: .......... done
    You may need to manually remove /usr/local/etc/squid/squid.conf if it is no longer needed.
    [58/95] Upgrading libosip2 from 4.1.0_1 to 5.0.0...
    [58/95] Extracting libosip2-5.0.0: .......... done
    [59/95] Upgrading clamav from 0.99.2_2 to 0.99.2_3...
    ===> Creating groups.
    Using existing group 'clamav'.
    Using existing group 'mail'.
    ===> Creating users
    Using existing user 'clamav'.
    [59/95] Extracting clamav-0.99.2_3: .......... done
    [60/95] Upgrading c-icap from 0.4.3,2 to 0.4.4,2...
    ===> Creating groups.
    Using existing group 'c_icap'.
    ===> Creating users
    Using existing user 'c_icap'.
    [60/95] Extracting c-icap-0.4.4,2: .......... done
    [61/95] Installing icu-58.2,1...
    [61/95] Extracting icu-58.2,1: .......... done
    [62/95] Installing lua52-5.2.4...
    [62/95] Extracting lua52-5.2.4: ......... done
    [63/95] Reinstalling libgd-2.2.4,1...
    [63/95] Extracting libgd-2.2.4,1: .......... done
    [64/95] Upgrading strongswan from 5.5.1 to 5.5.1_1...
    [64/95] Extracting strongswan-5.5.1_1: .......... done
    You may need to manually remove /usr/local/etc/ipsec.conf if it is no longer needed.
    You may need to manually remove /usr/local/etc/strongswan.conf if it is no longer needed.
    [65/95] Upgrading squidclamav from 6.14 to 6.16...
    [65/95] Extracting squidclamav-6.16: .......... done
    [66/95] Reinstalling siproxd-0.8.2...
    [66/95] Extracting siproxd-0.8.2: .......... done
    You may need to manually remove /usr/local/etc/siproxd.conf if it is no longer needed.
    [67/95] Upgrading pfSense-rc from 2.3.3_1 to 2.3.4...
    [67/95] Extracting pfSense-rc-2.3.4: .... done
    [68/95] Upgrading openvpn-client-export from 2.4.1 to 2.4.1_1...
    [68/95] Extracting openvpn-client-export-2.4.1_1: .......... done
    [69/95] Upgrading ntp from 4.2.8p9_1 to 4.2.8p10_2...
    [69/95] Extracting ntp-4.2.8p10_2: .......... done
    [70/95] Upgrading lighttpd from 1.4.44 to 1.4.45_1...
    [70/95] Extracting lighttpd-1.4.45_1: .......... done
    [71/95] Reinstalling freeradius-2.2.9...
    ===> Creating groups.
    Using existing group 'freeradius'.
    ===> Creating users
    Using existing user 'freeradius'.
    ===> Setting user and group in radiusd.conf
    [71/95] Extracting freeradius-2.2.9: .......... done
    You should remove /usr/local/etc/raddb if you don't need it any more.
    ===> Adjusting ownership of directory /usr/local/etc/raddb
    ===> Adjusting ownership of directory /var/log/radacct
    ===> Adjusting ownership of directory /var/run/radiusd
    ===> Adjusting ownership of /var/log/radius.log
    ===> Adjusting ownership of /var/log/radutmp
    ===> Adjusting ownership of /var/log/radwtmp
    ===> Updating libdir in /usr/local/etc/raddb/radiusd.conf
    [72/95] Reinstalling check_reload_status-0.0.7...
    [72/95] Extracting check_reload_status-0.0.7: ...... done
    [73/95] Upgrading c-icap-modules from 0.4.3 to 0.4.5...
    [73/95] Extracting c-icap-modules-0.4.5: .......... done
    [74/95] Installing pecl-intl-3.0.0_7...
    [74/95] Extracting pecl-intl-3.0.0_7: .......... done
    [75/95] Upgrading p5-GD from 2.56_3 to 2.56_4...
    [75/95] Extracting p5-GD-2.56_4: .......... done
    [76/95] Upgrading lzo2 from 2.09 to 2.10_1...
    [76/95] Extracting lzo2-2.10_1: .......... done
    [77/95] Upgrading libssh2 from 1.8.0,2 to 1.8.0,3...
    [77/95] Extracting libssh2-1.8.0,3: .......... done
    [78/95] Upgrading softflowd from 0.9.8_2 to 0.9.9...
    [78/95] Extracting softflowd-0.9.9: ........ done
    [79/95] Upgrading redis from 3.2.6 to 3.2.8...
    ===> Creating groups.
    Using existing group 'redis'.
    ===> Creating users
    Using existing user 'redis'.
    [79/95] Extracting redis-3.2.8: ......... done
    [80/95] Upgrading pfSense-pkg-squidGuard from 1.16.1 to 1.16.2...
    [80/95] Extracting pfSense-pkg-squidGuard-1.16.2: .......... done
    Removing squidGuard components...
    Menu items... done.
    Services... done.
    Loading package instructions...
    Saving updated package information...
    overwrite!
    Loading package configuration... done.
    Configuring package components...
    Loading package instructions...
    Custom commands...
    Executing custom_php_install_command()...done.
    Executing custom_php_resync_config_command()...done.
    Menu items... done.
    Services... done.
    Writing configuration... done.
    Please visit Services - SquidGuard Proxy Filter - Target Categories and set up at least one category there before enabling SquidGuard. See https://forum.pfsense.org/index.php?topic=94312.0 for details.[81/95] Upgrading pfSense-pkg-squid from 0.4.36_2 to 0.4.36_3...
    [81/95] Extracting pfSense-pkg-squid-0.4.36_3: .......... done
    Removing squid components...
    Menu items... done.
    Services... done.
    Loading package instructions...
    Saving updated package information...
    overwrite!
    Loading package configuration... done.
    Configuring package components...
    Loading package instructions...
    Custom commands...
    Executing custom_php_install_command()...done.
    Executing custom_php_resync_config_command()...done.
    Menu items... done.
    Services... done.
    Writing configuration... done.
    [82/95] Upgrading pfSense-pkg-siproxd from 1.1.3_2 to 1.1.3_3...
    [82/95] Extracting pfSense-pkg-siproxd-1.1.3_3: .......... done
    Removing siproxd components...
    Menu items... done.
    Services... done.
    Loading package instructions...
    Saving updated package information...
    overwrite!
    Loading package configuration... done.
    Configuring package components...
    Loading package instructions...
    Custom commands...
    Executing custom_php_install_command()...done.
    Executing custom_php_resync_config_command()...done.
    Menu items... done.
    Services... done.
    Writing configuration... done.
    [83/95] Upgrading pfSense-pkg-pfBlockerNG from 2.1.1_7 to 2.1.1_8...
    [83/95] Extracting pfSense-pkg-pfBlockerNG-2.1.1_8: .......... done
    Removing pfBlockerNG components...
    Menu items... done.
    Services... done.
    Loading package instructions...
    Removing pfBlockerNG... All customizations/data will be retained... done.
    Saving updated package information...
    overwrite!
    Loading package configuration... done.
    Configuring package components...
    Loading package instructions...
    Custom commands...
    Executing custom_php_install_command()...
    MaxMind GeoIP databases previously downloaded.
    Adding pfBlockerNG Widget to the Dashboard... done.
    Remove any existing and create link for DNSBL lighttpd executable... done.
    Creating DNSBL web server start-up script... done.
    Upgrading Adv. Inbound firewall rule settings ... no changes required ... done.
    Custom commands completed ... done.
    Executing custom_php_resync_config_command()...done.
    Menu items... done.
    Services... done.
    Writing configuration... done.
    [84/95] Upgrading pfSense-pkg-openvpn-client-export from 1.4.2_1 to 1.4.3...
    [84/95] Extracting pfSense-pkg-openvpn-client-export-1.4.3: .......... done
    Removing openvpn-client-export components...
    Loading package instructions...
    Saving updated package information...
    overwrite!
    Loading package configuration... done.
    Configuring package components...
    Loading package instructions...
    Custom commands...
    Writing configuration... done.
    [85/95] Upgrading pfSense-pkg-freeradius2 from 1.7.7 to 1.7.8...
    [85/95] Extracting pfSense-pkg-freeradius2-1.7.8: .......... done
    Removing freeradius2 components...
    Menu items... done.
    Services... done.
    Loading package instructions...
    Saving updated package information...
    overwrite!
    Loading package configuration... done.
    Configuring package components...
    Loading package instructions...
    Custom commands...
    Executing custom_php_install_command()...done.
    Executing custom_php_resync_config_command()...done.
    Menu items... done.
    Services... done.
    Writing configuration... done.
    [86/95] Upgrading pfSense-pkg-Lightsquid from 3.0.6_2 to 3.0.6_4...
    [86/95] Extracting pfSense-pkg-Lightsquid-3.0.6_4: .......... done
    Removing Lightsquid components...
    Menu items... done.
    Services... done.
    Loading package instructions...
    Saving updated package information...
    overwrite!
    Loading package configuration... done.
    Configuring package components...
    Loading package instructions...
    Custom commands...
    Executing custom_php_install_command()...
    Remove any existing and create new hardlink for lightsquid lighttpd executable... done.
    Creating Lightsquid web server start-up script... done.
    Creating lightsquid web server config ... done.
    Starting lightsquid lighttpd Service... done.
    done.
    Executing custom_php_resync_config_command()...done.
    Menu items... done.
    Services... done.
    Writing configuration... done.
    [87/95] Upgrading pfSense-pkg-Cron from 0.3.7_1 to 0.3.7_2...
    [87/95] Extracting pfSense-pkg-Cron-0.3.7_2: .......... done
    Removing Cron components...
    Menu items... done.
    Loading package instructions...
    Saving updated package information...
    overwrite!
    Loading package configuration... done.
    Configuring package components...
    Loading package instructions...
    Custom commands...
    Executing custom_php_resync_config_command()...done.
    Menu items... done.
    Writing configuration... done.
    [88/95] Upgrading pfSense-default-config from 2.3.3_1 to 2.3.4...
    [88/95] Extracting pfSense-default-config-2.3.4: .... done
    [89/95] Upgrading pfSense-base from 2.3.3_1 to 2.3.4...
    [89/95] Extracting pfSense-base-2.3.4: ..... done
    ===> Keeping a copy of current version mtree
    ===> Removing schg flag from base files
    ===> Extracting new base tarball
    
    

    Is this a "simple glitch"? I manually rebooted the second system, just to make sure, and things seem to work, but it's odd, that these systems don't behave identical for such a basic operation as an auto-upgrade…



  • In particular, in the packages to be upgraded, one machine doesn't show

    pfSense-kernel-pfSense: 2.3.3_1 -> 2.3.4 [pfSense-core]
    

    which seems rather odd…



  • Why is that, and how can I fix it, and have the kernel updated?

    pfSense-kernel-pfSense-2.3.3_1 is locked and may not be modified
    


  • @rcfa:

    Why is that, and how can I fix it, and have the kernel updated?

    pfSense-kernel-pfSense-2.3.3_1 is locked and may not be modified
    

    Updating from the console did the trick, there it recognizes that the one package is out of sync.
    Unfortunately the same isn't the case when updating from the WebUI.

    Why don't the two use the same system to figure out what needs upgrading?



  • It seems there is a problem with pfsense kernel upgrade on nanobsd … for some reason it remains locked and cannot be upgraded using GUI or pfSense-upgrade ...
    The solution is to do regular upgrade and than go to shell and execute:

    
    pkg unlock pfSense-kernel-pfSense
    pkg upgrade pfSense-kernel-pfSense
    pkg lock pfSense-kernel-pfSense
    reboot
    
    

Log in to reply